import * as React from "react";

const SvgChain = ({ title, titleId, ...props }) => (
  <svg
    viewBox="0 0 32 32"
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
    aria-labelledby={titleId}
    {...props}
  >
    {title ? <title id={titleId}>{title}</title> : null}
    <defs>
      <linearGradient x1="50%" y1="0%" x2="50%" y2="100%" id="chain_svg__c">
        <stop stopColor="#FFF" stopOpacity={0.5} offset="0%" />
        <stop stopOpacity={0.5} offset="100%" />
      </linearGradient>
      <filter
        x="-5.8%"
        y="-4.2%"
        width="111.7%"
        height="111.7%"
        filterUnits="objectBoundingBox"
        id="chain_svg__a"
      >
        <feOffset dy={0.5} in="SourceAlpha" result="shadowOffsetOuter1" />
        <feGaussianBlur
          stdDeviation={0.5}
          in="shadowOffsetOuter1"
          result="shadowBlurOuter1"
        />
        <feComposite
          in="shadowBlurOuter1"
          in2="SourceAlpha"
          operator="out"
          result="shadowBlurOuter1"
        />
        <feColorMatrix
          values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.199473505 0"
          in="shadowBlurOuter1"
        />
      </filter>
      <circle id="chain_svg__b" cx={15} cy={15} r={15} />
    </defs>
    <g fill="none" fillRule="evenodd">
      <g transform="translate(1)" fillRule="nonzero">
        <use
          fill="#000"
          filter="url(#chain_svg__a)"
          xlinkHref="#chain_svg__b"
        />
        <use fill="#00ACED" xlinkHref="#chain_svg__b" />
        <use
          fill="url(#chain_svg__c)"
          style={{
            mixBlendMode: "soft-light",
          }}
          xlinkHref="#chain_svg__b"
        />
        <circle
          strokeOpacity={0.097}
          stroke="#000"
          strokeLinejoin="square"
          cx={15}
          cy={15}
          r={14.5}
        />
      </g>
      <g fill="#FFF">
        <path d="M6 8.714v4.076l9.895 5.715 6.42-3.715v3.315l3.456 2.038V8.714l-9.885 5.715z" />
        <path
          opacity={0.7}
          d="M15.886 3 6 8.714v11.429l9.886 5.714 9.857-5.714-3.495-2.038-6.362 3.676-6.39-3.676v-7.353l6.39-3.676 6.362 3.676 3.495-2.038z"
        />
      </g>
    </g>
  </svg>
);

export default SvgChain;
