import * as React from "react";

const SvgKlown = ({ title, titleId, ...props }) => (
  <svg
    viewBox="0 0 32 32"
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
    aria-labelledby={titleId}
    {...props}
  >
    {title ? <title id={titleId}>{title}</title> : null}
    <defs>
      <filter
        x="-5.8%"
        y="-4.2%"
        width="111.7%"
        height="111.7%"
        filterUnits="objectBoundingBox"
        id="klown_svg__a"
      >
        <feOffset dy={0.5} in="SourceAlpha" result="shadowOffsetOuter1" />
        <feGaussianBlur
          stdDeviation={0.5}
          in="shadowOffsetOuter1"
          result="shadowBlurOuter1"
        />
        <feComposite
          in="shadowBlurOuter1"
          in2="SourceAlpha"
          operator="out"
          result="shadowBlurOuter1"
        />
        <feColorMatrix
          values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.199473505 0"
          in="shadowBlurOuter1"
        />
      </filter>
      <filter id="klown_svg__d">
        <feColorMatrix
          in="SourceGraphic"
          values="0 0 0 0 1.000000 0 0 0 0 1.000000 0 0 0 0 1.000000 0 0 0 1.000000 0"
        />
      </filter>
      <filter
        x="-17%"
        y="-17%"
        width="134.1%"
        height="134.1%"
        filterUnits="objectBoundingBox"
        id="klown_svg__e"
      >
        <feOffset dy={0.5} in="SourceAlpha" result="shadowOffsetOuter1" />
        <feGaussianBlur
          stdDeviation={0.5}
          in="shadowOffsetOuter1"
          result="shadowBlurOuter1"
        />
        <feColorMatrix
          values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.204257246 0"
          in="shadowBlurOuter1"
          result="shadowMatrixOuter1"
        />
        <feMerge>
          <feMergeNode in="shadowMatrixOuter1" />
          <feMergeNode in="SourceGraphic" />
        </feMerge>
      </filter>
      <linearGradient x1="50%" y1="0%" x2="50%" y2="100%" id="klown_svg__c">
        <stop stopColor="#FFF" stopOpacity={0.5} offset="0%" />
        <stop stopOpacity={0.5} offset="100%" />
      </linearGradient>
      <circle id="klown_svg__b" cx={16} cy={15} r={15} />
    </defs>
    <g fill="none" fillRule="evenodd">
      <use fill="#000" filter="url(#klown_svg__a)" xlinkHref="#klown_svg__b" />
      <use fill="#EA0017" xlinkHref="#klown_svg__b" />
      <use
        fill="url(#klown_svg__c)"
        style={{
          mixBlendMode: "soft-light",
        }}
        xlinkHref="#klown_svg__b"
      />
      <circle
        strokeOpacity={0.097}
        stroke="#000"
        strokeLinejoin="square"
        cx={16}
        cy={15}
        r={14.5}
      />
      <g filter="url(#klown_svg__d)">
        <g
          filter="url(#klown_svg__e)"
          transform="translate(5 4)"
          fill="#FFF"
          fillRule="nonzero"
        >
          <path d="M15.717 10.412c.031 0 .106.032.17.07.176.107.267.322.25.58-.01.176-.053.296-.23.656-.12.244-.346.653-.5.91-.266.438-.393.668-.393.703 0 .01.18-.152.4-.36.412-.388.701-.572.832-.53.177.057.23.392.113.728-.067.2-.247.564-.427.871-.104.17-.113.204.062.104l.146-.086c.364-.219.597-.243.724-.07.14.19.116.769-.057 1.27-.039.113-.06.215-.05.226.011.01.12-.025.24-.078.124-.056.308-.12.414-.144.356-.085.508.067.575.571.06.438-.106.802-.41.911-.052.018-.06.01-.042-.056.014-.046.032-.127.046-.184.018-.092.014-.095-.05-.06-.102.053-.218.265-.26.477-.127.628-.286.938-.703 1.362-.459.466-.935.78-1.676 1.112-.346.155-.833.462-1.352.854l-.152.116-.3-.275-.15-.132c-.301-.254-.603-.452-.845-.55a5.466 5.466 0 0 1-.215-.087c-.007-.007.053-.085.134-.177a.96.96 0 0 0 .18-.31c.05-.195.077-.24.187-.304.127-.07.332-.014.819.23.215.105.398.194.416.194.039 0 .032-.103-.018-.233-.038-.106-.024-.17.138-.657.215-.642.272-.875.23-.918-.053-.053-.096.032-.343.66-.13.329-.243.608-.25.615-.011.01-.089-.018-.177-.06-.145-.071-.159-.092-.141-.17.102-.41.162-1.334.099-1.56-.046-.159-.096-.092-.138.187-.092.593-.194 1.063-.236 1.105-.04.039-.064.028-.142-.064l-.091-.113V14.43l.783-1.01.161-.208c1.253-1.617 1.612-2.083 1.89-2.439.155-.198.307-.36.339-.36zm-6.872 5.02c.335-.319.41-.347.526-.184.088.12.137.402.137.787v.317l.163.173.066.076c.065.08.124.17.145.22.053.131.075.632.032.802-.014.056.021.162.117.346.653 1.25.787 1.521.77 1.542l-.022.004-.04-.003a.662.662 0 0 1-.112-.03c-.152-.048-.332-.056-.97-.038-.385.01-.615-.053-.636-.176-.01-.05.134-.28.438-.7.092-.126.102-.2.05-.285-.025-.042-.149-.057-.6-.07-.756-.025-.78-.068-.248-.47.223-.17.484-.438.515-.53.011-.035-.007-.102-.038-.151l-.06-.092-.43.025L8.53 17c-.474.02-.56-.048-.4-.271.04-.053.06-.106.047-.12-.01-.01-.22-.021-.456-.021-.406 0-.773-.046-.836-.103-.014-.014.159-.084.388-.155.392-.12.918-.36 1.158-.53a7.32 7.32 0 0 0 .413-.37zm1.307-3.04c.016.01.055.325.097.703.04.377.071.723.071.765 0 .046.014.082.032.082.017 0 .123-.142.236-.318.117-.173.22-.318.23-.318.028 0 .046.134.14 1.137.047.462.093.84.103.84.01 0 .067-.198.12-.441.057-.244.113-.442.127-.442.021 0 .992 2.81.989 2.866 0 .078-.085-.014-.424-.451-.205-.269-.399-.516-.43-.558l-.064-.074-.095.106-.04.045a23.82 23.82 0 0 1-.275.304l-.222.244-.018-.12-.003-.03c-.016-.13-.061-.6-.106-1.107-.046-.561-.095-1.034-.11-1.052-.01-.017-.144.082-.3.223-.155.141-.296.264-.317.268-.021.007-.025-.042-.014-.124.025-.18.265-2.445.265-2.513 0-.028.007-.042.017-.035zm-4.53-1.948c.254-.032.78-.004 1.024.063.268.067.568.195.808.332.237.141.819.703.907.88.07.14.106.158-.321-.167a4.072 4.072 0 0 0-1.108-.582c-.198-.062-.31-.078-.615-.08l-.144-.001c-.445 0-.522.01-.777.095-1.613.547-2.428 2.598-1.584 3.985.25.416.653.787 1.196 1.1.307.18.283.21-.095.114a2.34 2.34 0 0 1-1.55-1.27c-.194-.396-.278-.763-.303-1.289-.035-.85.187-1.525.716-2.167.42-.512 1.165-.918 1.846-1.013zm-1.299 2.75c.053-.163.06-.152.195.222a5.686 5.686 0 0 0 1.2 1.906c.123.13.225.247.225.26 0 .057-.278-.013-.543-.133-.642-.3-1.02-.925-1.101-1.84-.014-.19-.01-.317.024-.416zm2.962-5.27c.444-.067.466-.06.176.074-.145.067-.286.13-.31.148l-.028.017c-.08.058.067.08.575.096.646.018.65.021.596.233-.021.085-.028.085-.42.085a5.181 5.181 0 0 0-.674.053c-.275.05-.674.215-.674.282 0 .018.166.053.37.078.629.074 1.24.24 1.663.452.166.088.254.2.586.776.893 1.542 1.027 1.761 1.348 2.188.41.544.85 1.038 1.33 1.493l.438.413v.573c-.004.208-.017.368-.035.38-.035.021-.014.057-.494-.759a21.66 21.66 0 0 0-1.133-1.73 5.602 5.602 0 0 1-.29-.433c-.01-.032-.042-.06-.067-.064-.024 0-.14-.113-.257-.25-.332-.389-1.08-1.063-1.589-1.426-.292-.212-.677-.473-.698-.473-.007 0-.131-.064-.276-.145A5.766 5.766 0 0 0 6.42 9.57c-.244-.067-.73-.085-1.041-.043a3.913 3.913 0 0 0-1.274.466 3.145 3.145 0 0 1-.304.173c-.025 0-.335.222-.575.417-.11.088-.198.137-.205.116-.018-.05.279-.462.537-.755a7.284 7.284 0 0 1 1.154-.985c.73-.487 1.8-.918 2.573-1.034zm-2.411 4.401c-.13-.356-.127-.385.039-.29a5.8 5.8 0 0 1 .342.23 5.307 5.307 0 0 1 1.606 1.938c.152.321.258.621.233.646l-.019.004-.033-.01c-.17-.07-.7-.5-1.099-.901-.504-.512-.857-1.038-1.069-1.617zm1.175-.953c0-.042.378.057.6.159.463.208.802.61.95 1.112.099.339.127.596.092.861-.029.236-.025.244-.247-.254a5.792 5.792 0 0 0-1.042-1.5 8.08 8.08 0 0 1-.353-.378zm5.789-5.894c.173-.05.17-.05.226.035.095.148.268.724.342 1.144.046.275.078.653.092 1.104l.02.685-.172-.024-.039-.006c-.244-.04-.443-.115-1.765-.669-.713-.3-1.302-.536-1.313-.526-.017.018.336.713.572 1.126.43.749 1.228 1.155 2.15 1.095.264-.018.36-.011.44.028.191.102.315.279.431.624.145.424.41.94.636 1.236.095.127.17.233.17.233-.004.003-.117-.018-.255-.043-.618-.127-1.687-.575-1.976-.829-.332-.293-.029.176.324.498.43.395 1.052.737 1.761.974.212.07.392.134.396.137.039.036-1.003 1.253-1.066 1.253-.064 0-.424-.215-.773-.458-.385-.269-1.257-1.126-1.567-1.536a11.573 11.573 0 0 1-1.92-3.999l-.11-.402.138-.141.089-.084c.525-.46 1.853-1.07 3.169-1.455zm5.41-1.193a.552.552 0 0 1 .22.07.584.584 0 0 1 .144.145c.032.046.406 1.45.83 3.113.847 3.314.84 3.269.649 3.47a.68.68 0 0 1-.208.14c-.163.054-2.68.6-2.693.587a.738.738 0 0 1 .074-.212c.18-.41.19-.79.02-1.062-.116-.19-.416-.37-.61-.37-.113 0-.148.034-.748.81-.346.45-.642.802-.656.788-.015-.014-.336-1.39-.72-3.053-.495-2.146-.689-3.057-.671-3.13a.569.569 0 0 1 .24-.329c.152-.081 3.992-.981 4.13-.967zm.583 4.006c-.007-.014-.134.088-.283.23-.148.137-.451.42-.67.628l-.403.377-.864-.279a12.745 12.745 0 0 0-.893-.271c-.014.003.317.317.741.695.427.378.89.794 1.034.928.145.13.275.226.29.212.038-.039 1.058-2.492 1.048-2.52zm-2.114 1.101c.243.081.515.155.603.17l.159.02.117.527c.063.289.109.533.098.54-.007.007-.091-.064-.183-.156a30.44 30.44 0 0 0-.738-.677 14.18 14.18 0 0 1-.575-.537c-.021-.053.063-.035.519.113zM7.09 4.991c.593-.148.829-.184.829-.124 0 .018-.085.053-.184.074-.289.071-1.034.332-1.404.495-.403.176-.918.476-1.112.645l-.141.12.123.029.152.036c.504.134 1.43.483 1.87.712.322.166.731.445.731.501 0 .014-.106.039-.236.053-.54.053-1.426.272-2.058.505-.773.29-1.754.815-2.354 1.267-.392.296-.392.296-.254.099.166-.24.67-.763.977-1.01.664-.526 1.536-.907 2.46-1.073l.142-.024-.25-.117-.125-.053c-.547-.218-1.694-.5-2.378-.579a1.274 1.274 0 0 1-.261-.053c-.092-.049 1.104-.691 1.814-.97A14.298 14.298 0 0 1 7.09 4.99zm8.47.663c-.264.78-.9 2.75-.9 2.792 0 .032-.014.067-.035.078-.113.07.018.13.844.402.483.156.903.286.935.286.07 0 1.38-1.225 1.38-1.288 0-.025-.452-.515-.999-1.087A64.208 64.208 0 0 1 15.713 5.7c-.074-.095-.127-.113-.152-.046zm-4.708 2.948c-.035-.1-.035-.1.078-.078.06.014.2.067.307.12.257.123.268.18.035.18-.219 0-.374-.081-.42-.222zm4.758-2.757c.017.018.113.395.212.84l.183.812-.099.095c-.137.134-1.186.918-1.2.9-.01-.007.014-.074.053-.152.07-.137.766-2.237.801-2.424.014-.057.036-.089.05-.071zm-7.776-.55-.028.253-.011.101c-.021.212-.008.263.053.263.04 0 .064.074.092.282.06.403.074.802.032.82-.021.003-.17-.071-.335-.167a8.036 8.036 0 0 0-1.207-.586c-.152-.056-.276-.112-.276-.123 0-.074.434-.406.696-.533.335-.162.755-.307.896-.31h.088zM13.232 3.6c1.235-.233 1.493-.254 1.712-.141.074.039.17.117.208.173.088.12.321.604.321.66 0 .025-.198.07-.501.12-2.22.35-4.041.875-5.428 1.57a6.04 6.04 0 0 0-.96.569c-.237.18-.212.23-.297-.572-.06-.543-.06-.575 0-.734.057-.148.088-.177.297-.282a15.253 15.253 0 0 1 1.507-.597c.942-.3 1.884-.53 3.14-.766zM9.808 1.217h.036c.02 0 .084.1.148.216.3.547.907 2.238.833 2.312a.406.406 0 0 1-.16.053l-.123.021-.12-.258-.06-.129c-.36-.75-1.006-1.772-1.083-1.699-.01.01.014.113.053.23.18.515.423 1.669.423 1.997 0 .099-.017.13-.088.163a.415.415 0 0 1-.138.042c-.02 0-.137-.127-.25-.282-.113-.156-.219-.272-.233-.258-.01.018-.046.194-.078.395-.053.364-.106.49-.162.4-.014-.026-.046-.382-.07-.795a15.1 15.1 0 0 0-.06-.847c-.011-.053-.004-.095.013-.095.018 0 .156.116.304.26.148.142.275.251.282.237.029-.053-.353-1.193-.593-1.772-.02-.049.014-.067.216-.098.243-.043.882-.103.946-.092zm-2.873.756c.283-.18.523-.24.681-.176.048.017.06.05.061.293v.225a16.16 16.16 0 0 1-.025.745l-.025.25-.656-.017-.268-.004a5.81 5.81 0 0 0-1.617.205c-.223.057-.427.11-.452.113-.025.007-.05-.014-.056-.042-.022-.127.79-.706 1.7-1.214.273-.156.569-.325.657-.378zm3.55-.773.213.36.07.12c.359.632.858 1.69.858 1.828 0 .06-.237.12-.279.071a1.209 1.209 0 0 1-.092-.19 21.7 21.7 0 0 0-.86-1.72 8.314 8.314 0 0 1-.251-.451c0-.01.077-.018.169-.018h.173zm.65.035h.057c.13 0 .53.025.886.053.353.029.68.06.73.071l.177.035c.11.025.194.16.441.689.162.356.402.988.378 1.005a30.718 30.718 0 0 0-1.274.226c-.46.096-.551.096-.551-.007 0-.074-.558-1.22-.79-1.623-.283-.484-.283-.449.003-.449z" />
          <path d="M11.785 5.672c.088.215.134.445.18.928.046.516.13 1.229.18 1.525.021.152.081.184.081.046 0-.05-.025-.244-.053-.434a31.87 31.87 0 0 1-.106-.96 11.384 11.384 0 0 0-.092-.77c-.045-.215-.127-.395-.176-.395-.025 0-.028.025-.014.06zm.759 4.13c0 .155.494 1.291.656 1.507.11.151.081.014-.046-.216a7.12 7.12 0 0 1-.47-1.034c-.08-.226-.14-.335-.14-.257z" />
          <path d="M8.368.31a10.878 10.878 0 0 1 8.192 1.25c1.56.928 2.99 2.389 3.876 3.963.96 1.698 1.43 3.455 1.43 5.34.003 1.281-.163 2.312-.555 3.487a11.234 11.234 0 0 1-1.599 3.06 13.373 13.373 0 0 1-1.91 1.984c-1.74 1.408-3.755 2.213-6.052 2.407-2.446.212-5.15-.547-7.162-2.008C2.22 18.077.653 15.589.158 12.769c-.532-3.035.294-6.23 2.238-8.647.3-.374.985-1.084 1.405-1.454C5.061 1.556 6.695.712 8.368.31zm3.223.565a10.295 10.295 0 0 0-3.187.3c-1.246.324-2.68 1.023-3.59 1.75l-.37.293c-.452.35-1.437 1.43-1.808 1.984-1.2 1.79-1.775 3.653-1.775 5.735 0 1.673.339 3.074 1.119 4.6a9.932 9.932 0 0 0 4.299 4.312c1.2.618 2.541 1.006 3.83 1.108 2.216.177 4.291-.338 6.25-1.549.904-.558 2.061-1.627 2.64-2.435 1.08-1.515 1.677-2.951 1.93-4.66.092-.61.096-2.276.004-2.816-.317-1.923-1.115-3.702-2.248-5.015-.11-.127-.247-.29-.304-.357a9.484 9.484 0 0 0-1.133-1.059c-1.04-.797-1.835-1.235-3.028-1.666-.808-.289-1.599-.448-2.63-.525z" />
        </g>
      </g>
    </g>
  </svg>
);

export default SvgKlown;
