import * as React from "react";

const SvgKmd = ({ title, titleId, ...props }) => (
  <svg
    viewBox="0 0 96 96"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    aria-labelledby={titleId}
    {...props}
  >
    {title ? <title id={titleId}>{title}</title> : null}
    <g clipPath="url(#kmd_svg__a)">
      <g filter="url(#kmd_svg__b)">
        <path
          d="M48 90c24.853 0 45-20.147 45-45S72.853 0 48 0 3 20.147 3 45s20.147 45 45 45z"
          fill="#2B6680"
        />
        <path
          d="M48 90c24.853 0 45-20.147 45-45S72.853 0 48 0 3 20.147 3 45s20.147 45 45 45z"
          fill="url(#kmd_svg__c)"
          style={{
            mixBlendMode: "soft-light",
          }}
        />
        <path
          d="M91.5 45c0 24.024-19.476 43.5-43.5 43.5S4.5 69.024 4.5 45 23.976 1.5 48 1.5 91.5 20.976 91.5 45z"
          stroke="#000"
          strokeOpacity={0.097}
          style={{
            mixBlendMode: "soft-light",
          }}
        />
      </g>
      <g fill="#fff">
        <path d="M18 45a30 30 0 1 0 60 .115v-.23a30.21 30.21 0 0 0-.82-6.855 3.216 3.216 0 0 0-5.871-.941 3.219 3.219 0 0 0-.39 2.432 23.577 23.577 0 1 1-17.452-17.442 3.218 3.218 0 0 0 1.491-6.26A29.997 29.997 0 0 0 18 45" />
        <path d="M63.163 23.058c-.043.04-.071.089-.112.132a4.744 4.744 0 0 0-1.275 2.837v.51c0 .117-.025.232-.038.35a8.567 8.567 0 0 1-11.123 7.32 11.036 11.036 0 0 0-10.134 2.645c-.11.102-.23.189-.337.296a11.1 11.1 0 1 0 15.699 15.698c.46-.466.875-.973 1.244-1.514a11.094 11.094 0 0 0 1.697-8.92 8.502 8.502 0 0 1-.163-.605c0-.03-.018-.059-.025-.09a8.572 8.572 0 0 1 7.633-10.467c.064 0 .125-.018.189-.02.181 0 .362-.021.543-.021h.043a4.748 4.748 0 0 0 2.931-1.379c.187-.193.357-.401.51-.622a4.782 4.782 0 0 0-7.28-6.148" />
      </g>
    </g>
    <defs>
      <linearGradient
        id="kmd_svg__c"
        x1={3}
        y1={0}
        x2={3}
        y2={90}
        gradientUnits="userSpaceOnUse"
      >
        <stop stopColor="#fff" stopOpacity={0.5} />
        <stop offset={1} stopOpacity={0.5} />
      </linearGradient>
      <clipPath id="kmd_svg__a">
        <path fill="#fff" transform="scale(3)" d="M0 0h32v32H0z" />
      </clipPath>
      <filter
        id="kmd_svg__b"
        x={0}
        y={-1.5}
        width={96}
        height={96}
        filterUnits="userSpaceOnUse"
        colorInterpolationFilters="sRGB"
      >
        <feFlood floodOpacity={0} result="BackgroundImageFix" />
        <feColorMatrix
          in="SourceAlpha"
          values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
        />
        <feOffset dy={0.5} />
        <feGaussianBlur stdDeviation={0.5} />
        <feColorMatrix values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.199474 0" />
        <feBlend in2="BackgroundImageFix" result="effect1_dropShadow" />
        <feBlend in="SourceGraphic" in2="effect1_dropShadow" result="shape" />
      </filter>
    </defs>
  </svg>
);

export default SvgKmd;
