import * as React from "react";

const SvgXlm = ({ title, titleId, ...props }) => (
  <svg
    viewBox="0 0 32 32"
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
    aria-labelledby={titleId}
    {...props}
  >
    {title ? <title id={titleId}>{title}</title> : null}
    <defs>
      <linearGradient x1="50%" y1="0%" x2="50%" y2="100%" id="xlm_svg__c">
        <stop stopColor="#FFF" stopOpacity={0.5} offset="0%" />
        <stop stopOpacity={0.5} offset="100%" />
      </linearGradient>
      <filter
        x="-5.8%"
        y="-4.2%"
        width="111.7%"
        height="111.7%"
        filterUnits="objectBoundingBox"
        id="xlm_svg__a"
      >
        <feOffset dy={0.5} in="SourceAlpha" result="shadowOffsetOuter1" />
        <feGaussianBlur
          stdDeviation={0.5}
          in="shadowOffsetOuter1"
          result="shadowBlurOuter1"
        />
        <feComposite
          in="shadowBlurOuter1"
          in2="SourceAlpha"
          operator="out"
          result="shadowBlurOuter1"
        />
        <feColorMatrix
          values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.199473505 0"
          in="shadowBlurOuter1"
        />
      </filter>
      <circle id="xlm_svg__b" cx={15} cy={15} r={15} />
    </defs>
    <g fill="none">
      <g transform="translate(1)">
        <use fill="#000" filter="url(#xlm_svg__a)" xlinkHref="#xlm_svg__b" />
        <use fill="#000" xlinkHref="#xlm_svg__b" />
        <use
          fill="url(#xlm_svg__c)"
          style={{
            mixBlendMode: "soft-light",
          }}
          xlinkHref="#xlm_svg__b"
        />
        <circle
          strokeOpacity={0.097}
          stroke="#000"
          strokeLinejoin="square"
          cx={15}
          cy={15}
          r={14.5}
        />
      </g>
      <path
        d="m23.13 8.292-2.4 1.224-11.598 5.907A6.909 6.909 0 0 1 19.35 8.498l1.374-.7.205-.105a8.439 8.439 0 0 0-13.371 7.472 1.535 1.535 0 0 1-.834 1.484l-.725.37v1.724l2.134-1.088.691-.353.681-.347 12.226-6.23 1.374-.699 2.84-1.447V6.856L23.13 8.292zm2.816 2.012L10.201 18.32l-1.374.7L6 20.463v1.723l2.808-1.43 2.401-1.224 11.61-5.916a6.909 6.909 0 0 1-10.229 6.93l-.085.045-1.49.76a8.439 8.439 0 0 0 13.372-7.475 1.536 1.536 0 0 1 .833-1.483l.726-.37v-1.718z"
        fill="#FFF"
      />
    </g>
  </svg>
);

export default SvgXlm;
